Bug 1560117 - ejabberd-18.03 is available
Summary: ejabberd-18.03 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1496442 1496443 1559640 1559641 1559642 1559643 1559661 1559662 1559664 1559854 1559855 1560116 1560798 1560804 1560805
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-24 00:12 UTC by Upstream Release Monitoring
Modified: 2018-04-30 21:16 UTC (History)
5 users (show)

Fixed In Version: ejabberd-18.03-1.fc29 ejabberd-18.03-1.fc27 ejabberd-18.03-2.fc28
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-30 16:35:24 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-03-24 00:12:49 UTC
Latest upstream release: 18.03
Current version/release in rawhide: 18.1.0-1.fc28
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/667/

Comment 1 Randy Barlow 2018-03-27 01:59:44 UTC
eimp[0] went from being an optional dependency to a required dependency with ejabberd-18.03 so we will need to package it up too.


[0] https://github.com/processone/eimp

Comment 2 Randy Barlow 2018-03-28 02:00:43 UTC
After reading the release notes, I plan to bring 18.03 to F27 and F28:

https://blog.process-one.net/ejabberd-18-03/

Comment 3 Fedora Update System 2018-03-31 01:43:07 UTC
ejabberd-18.03-1.fc28 erlang-cache_tab-1.0.13-1.fc28 erlang-eimp-1.0.3-1.fc28 erlang-epam-1.0.4-1.fc28 erlang-esip-1.0.22-1.fc28 erlang-ezlib-1.0.4-1.fc28 erlang-fast_tls-1.0.21-1.fc28 erlang-fast_xml-1.1.29-1.fc28 erlang-fast_yaml-1.0.13-1.fc28 erlang-iconv-1.0.7-1.fc28 erlang-luerl-0.3-1.fc28 erlang-p1_mysql-1.0.5-1.fc28 erlang-p1_pgsql-1.1.5-1.fc28 erlang-p1_utils-1.0.11-1.fc28 erlang-stringprep-1.0.11-1.fc28 erlang-stun-1.0.21-1.fc28 erlang-xmpp-1.1.20-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-df7e7b9d3a

Comment 4 Fedora Update System 2018-04-01 04:57:50 UTC
ejabberd-18.03-1.fc28, erlang-cache_tab-1.0.13-1.fc28, erlang-eimp-1.0.3-1.fc28, erlang-epam-1.0.4-1.fc28, erlang-esip-1.0.22-1.fc28, erlang-ezlib-1.0.4-1.fc28, erlang-fast_tls-1.0.21-1.fc28, erlang-fast_xml-1.1.29-1.fc28, erlang-fast_yaml-1.0.13-1.fc28, erlang-iconv-1.0.7-1.fc28, erlang-luerl-0.3-1.fc28, erlang-p1_mysql-1.0.5-1.fc28, erlang-p1_pgsql-1.1.5-1.fc28, erlang-p1_utils-1.0.11-1.fc28, erlang-stringprep-1.0.11-1.fc28, erlang-stun-1.0.21-1.fc28, erlang-xmpp-1.1.20-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-df7e7b9d3a

Comment 5 Fedora Update System 2018-04-01 15:26:00 UTC
ejabberd-18.03-2.fc28 erlang-cache_tab-1.0.13-1.fc28 erlang-eimp-1.0.3-1.fc28 erlang-epam-1.0.4-1.fc28 erlang-esip-1.0.22-1.fc28 erlang-ezlib-1.0.4-1.fc28 erlang-fast_tls-1.0.21-1.fc28 erlang-fast_xml-1.1.29-1.fc28 erlang-fast_yaml-1.0.13-1.fc28 erlang-iconv-1.0.7-1.fc28 erlang-luerl-0.3-1.fc28 erlang-p1_mysql-1.0.5-1.fc28 erlang-p1_pgsql-1.1.5-1.fc28 erlang-p1_utils-1.0.11-1.fc28 erlang-stringprep-1.0.11-1.fc28 erlang-stun-1.0.21-1.fc28 erlang-xmpp-1.1.20-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-df7e7b9d3a

Comment 6 Fedora Update System 2018-04-01 21:48:37 UTC
ejabberd-18.03-2.fc28, erlang-cache_tab-1.0.13-1.fc28, erlang-eimp-1.0.3-1.fc28, erlang-epam-1.0.4-1.fc28, erlang-esip-1.0.22-1.fc28, erlang-ezlib-1.0.4-1.fc28, erlang-fast_tls-1.0.21-1.fc28, erlang-fast_xml-1.1.29-1.fc28, erlang-fast_yaml-1.0.13-1.fc28, erlang-iconv-1.0.7-1.fc28, erlang-luerl-0.3-1.fc28, erlang-p1_mysql-1.0.5-1.fc28, erlang-p1_pgsql-1.1.5-1.fc28, erlang-p1_utils-1.0.11-1.fc28, erlang-stringprep-1.0.11-1.fc28, erlang-stun-1.0.21-1.fc28, erlang-xmpp-1.1.20-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-df7e7b9d3a

Comment 7 Fedora Update System 2018-04-02 17:21:03 UTC
erlang-xmpp-1.1.20-1.fc27 erlang-stun-1.0.21-1.fc27 erlang-stringprep-1.0.11-1.fc27 erlang-p1_utils-1.0.11-1.fc27 erlang-p1_pgsql-1.1.5-1.fc27 erlang-p1_mysql-1.0.5-1.fc27 erlang-luerl-0.3-1.fc27 erlang-iconv-1.0.7-1.fc27 erlang-fast_yaml-1.0.13-1.fc27 erlang-fast_xml-1.1.29-1.fc27 erlang-fast_tls-1.0.21-1.fc27 erlang-ezlib-1.0.4-1.fc27 erlang-esip-1.0.22-1.fc27 erlang-epam-1.0.4-1.fc27 erlang-eimp-1.0.3-1.fc27 erlang-cache_tab-1.0.13-1.fc27 ejabberd-18.03-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-62082bc390

Comment 8 Fedora Update System 2018-04-03 15:51:52 UTC
ejabberd-18.03-1.fc27, erlang-cache_tab-1.0.13-1.fc27, erlang-eimp-1.0.3-1.fc27, erlang-epam-1.0.4-1.fc27, erlang-esip-1.0.22-1.fc27, erlang-ezlib-1.0.4-1.fc27, erlang-fast_tls-1.0.21-1.fc27, erlang-fast_xml-1.1.29-1.fc27, erlang-fast_yaml-1.0.13-1.fc27, erlang-iconv-1.0.7-1.fc27, erlang-luerl-0.3-1.fc27, erlang-p1_mysql-1.0.5-1.fc27, erlang-p1_pgsql-1.1.5-1.fc27, erlang-p1_utils-1.0.11-1.fc27, erlang-stringprep-1.0.11-1.fc27, erlang-stun-1.0.21-1.fc27, erlang-xmpp-1.1.20-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-62082bc390

Comment 9 Knud Christiansen 2018-04-10 15:42:56 UTC
WEB admin interface looks strange, no colors, text is misplaced etc.

same problem in 18.1.0-1 fc27 x86_64

Both versions(for fc27) installed from a rpm package from www.ejabberd.im site
works perfect

Comment 10 Fedora Update System 2018-04-30 16:35:24 UTC
ejabberd-18.03-1.fc27, erlang-cache_tab-1.0.13-1.fc27, erlang-eimp-1.0.3-1.fc27, erlang-epam-1.0.4-1.fc27, erlang-esip-1.0.22-1.fc27, erlang-ezlib-1.0.4-1.fc27, erlang-fast_tls-1.0.21-1.fc27, erlang-fast_xml-1.1.29-1.fc27, erlang-fast_yaml-1.0.13-1.fc27, erlang-iconv-1.0.7-1.fc27, erlang-luerl-0.3-1.fc27, erlang-p1_mysql-1.0.5-1.fc27, erlang-p1_pgsql-1.1.5-1.fc27, erlang-p1_utils-1.0.11-1.fc27, erlang-stringprep-1.0.11-1.fc27, erlang-stun-1.0.21-1.fc27, erlang-xmpp-1.1.20-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-04-30 21:16:46 UTC
ejabberd-18.03-2.fc28, erlang-cache_tab-1.0.13-1.fc28, erlang-eimp-1.0.3-1.fc28, erlang-epam-1.0.4-1.fc28, erlang-esip-1.0.22-1.fc28, erlang-ezlib-1.0.4-1.fc28, erlang-fast_tls-1.0.21-1.fc28, erlang-fast_xml-1.1.29-1.fc28, erlang-fast_yaml-1.0.13-1.fc28, erlang-iconv-1.0.7-1.fc28, erlang-luerl-0.3-1.fc28, erlang-p1_mysql-1.0.5-1.fc28, erlang-p1_pgsql-1.1.5-1.fc28, erlang-p1_utils-1.0.11-1.fc28, erlang-stringprep-1.0.11-1.fc28, erlang-stun-1.0.21-1.fc28, erlang-xmpp-1.1.20-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.